<?php
    header("Access-Control-Allow-Origin: *");
    header("Content-Type: application/json; charset=UTF-8");
    
    include_once '../config/database.php';
    include_once '../class/CrawledData.php';

    $database = new Database();
    $db = $database->getConnection();

    $items = new CrawledData($db);

    $stmt = $items->getCrawledData();
    $itemCount = $stmt->rowCount();


    echo json_encode($itemCount);

    if($itemCount > 0){
        
        $crawledDataArr = array();
        $crawledDataArr["body"] = array();
        $crawledDataArr["itemCount"] = $itemCount;

        while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
            extract($row);
            $e = array(
                "id" => $id,
                "keyword" => $keyword,
                "GoogleRank" => $GoogleRank,
                "site_clicked" => $site_clicked,
                "computer_name" => $computer_name,
                "created" => $created,
                "clicked" => $clicked
            );

            array_push($crawledDataArr["body"], $e);
        }
        echo json_encode($crawledDataArr);
    }

    else{
        http_response_code(404);
        echo json_encode(
            array("message" => "No record found.")
        );
    }
?>