<?php
    class CrawledData{

        // Connection
        private $conn;

        // Table
        private $db_table = "crawleddata";

        // Columns
        public $id;
        public $keyword;
        public $GoogleRank;
        public $site_clicked;
        public $created;
        public $computer_name;
        public $clicked;

        // Db connection
        public function __construct($db){
            $this->conn = $db;
        }

        // GET ALL
        public function getCrawledData(){
            $sqlQuery = "SELECT id, keyword, GoogleRank, site_clicked, created, computer_name, clicked FROM " . $this->db_table . "";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
		
		// GET ALL
        public function getCrawledDataByQuery($query){
            $sqlQuery = $query . $this->db_table . "";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        public function getDataBySite_clicked($startDate, $endDate, $site_clicked){
            $sqlQuery = "select * from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            and site_clicked = '". $site_clicked ."' order by created DESC";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
        
        public function getKeywordsBySiteAndStartEnd($site, $startDate, $endDate){
            $sqlQuery = "select keyword,site_clicked,avg(googleRank) as avgrank, min(googleRank) as minrank, max(googleRank) as maxrank from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' and site_clicked = '". $site ."' Group by keyword order by avgrank";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
        
        public function getKeywordsBySite($site, $day){
            $sqlQuery = "select keyword,site_clicked,avg(googleRank) as avgrank, min(googleRank) as minrank, max(googleRank) as maxrank from " . $this->db_table . " where created > now() - interval " . $day . " DAY
            and site_clicked = '". $site ."' Group by keyword order by avgrank";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        public function getKeywordDataBySite($site, $day, $keyword){
            $sqlQuery = "select DATE(created) as day, avg(GoogleRank) as avgrank from " . $this->db_table . " where created > now() - interval " . $day . " DAY
            and site_clicked = '". $site ."' and keyword = '". $keyword ."' group by DATE(created) order by DATE(created)";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        public function getDataBySite_clicked_count($startDate, $endDate, $site_clicked){
            $sqlQuery = "select count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            and site_clicked = '". $site_clicked . "'";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        public function getDataBySite_clicked_limit($startDate, $endDate, $site_clicked, $paginationStart, $limit){
            $sqlQuery = "select * from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            and site_clicked = '". $site_clicked ."' order by created DESC LIMIT " . $paginationStart . "," . $limit;
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
		
		public function getSite_clicked($startDate, $endDate){
            $sqlQuery = "select site_clicked,count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            group by site_clicked order by count DESC";
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        public function getSite_clicked_limit($startDate, $endDate, $paginationStart, $limit){
            $sqlQuery = "select site_clicked,count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            group by site_clicked order by count DESC LIMIT " . $paginationStart . "," . $limit;
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }
		
        public function getKeywords($startDate, $endDate){
            $sqlQuery = "select keyword,Clicked,count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            group by keyword, clicked order by count DESC";
            $stmt = $this->conn->prepare($sqlQuery);
            // echo "<br>" . $sqlQuery;
            $stmt->execute();
            return $stmt;
        }

        public function getComputerName($startDate, $endDate){
            $sqlQuery = "select computer_name,count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            group by computer_name order by count DESC";
            $stmt = $this->conn->prepare($sqlQuery);
            //echo "<br>" . $sqlQuery;
            $stmt->execute();
            return $stmt;
        }

        public function getComputerNameByLastMinutes($minutes){
            $sqlQuery = "select computer_name,Clicked,count(*) as count,max(created) as last_insert from " . $this->db_table . " where created > now() - interval " . $minutes . " minute 
            group by computer_name,clicked order by count DESC";
            $stmt = $this->conn->prepare($sqlQuery);
            // echo "<br>" . $sqlQuery;
            $stmt->execute();
            return $stmt;
        }

        public function getComputerName_limit($startDate, $endDate, $paginationStart, $limit){
            $sqlQuery = "select computer_name,count(*) as count from " . $this->db_table . " where DATE(created) between '" . $startDate . "' and '" . $endDate . "' 
            group by computer_name order by count DESC LIMIT " . $paginationStart . "," . $limit;
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);
            $stmt->execute();
            return $stmt;
        }

        // CREATE
        public function createCrawledData(){
            $sqlQuery = "INSERT INTO
                        ". $this->db_table ."
                    SET
                        keyword = :keyword, 
                        GoogleRank = :GoogleRank, 
                        site_clicked = :site_clicked, 
                        created = :created, 
                        computer_name = :computer_name,
                        clicked = :clicked";
            // echo $sqlQuery;
            $stmt = $this->conn->prepare($sqlQuery);

            // sanitize
            $this->keyword=htmlspecialchars(strip_tags($this->keyword));
            $this->GoogleRank=htmlspecialchars(strip_tags($this->GoogleRank));
            $this->site_clicked=htmlspecialchars(strip_tags($this->site_clicked));
            $this->created=htmlspecialchars(strip_tags($this->created));
            $this->computer_name=htmlspecialchars(strip_tags($this->computer_name));
            $this->clicked=htmlspecialchars(strip_tags($this->clicked));
        
            // bind data
            $stmt->bindParam(":keyword", $this->keyword);
            $stmt->bindParam(":GoogleRank", $this->GoogleRank);
            $stmt->bindParam(":site_clicked", $this->site_clicked);
            $stmt->bindParam(":created", $this->created);
            $stmt->bindParam(":computer_name", $this->computer_name);
            $stmt->bindParam(":clicked", $this->clicked);

            // echo $this->keyword;
        
            if($stmt->execute()){
               return true;
            }

            $stmt->debugDumpParams();
            return false;
        }

        // UPDATE
        public function getSingleCrawledData(){
            $sqlQuery = "SELECT
                        id,
                        keyword,
                        GoogleRank,
                        site_clicked,
                        created,
                        computer_name,
                        clicked
                      FROM
                        ". $this->db_table ."
                    WHERE 
                       id = ?
                    LIMIT 0,1";

            $stmt = $this->conn->prepare($sqlQuery);

            $stmt->bindParam(1, $this->id);

            $stmt->execute();

            $dataRow = $stmt->fetch(PDO::FETCH_ASSOC);
            
            $this->keyword = $dataRow['keyword'];
            $this->GoogleRank = $dataRow['GoogleRank'];
            $this->site_clicked = $dataRow['site_clicked'];
            $this->created = $dataRow['created'];
            $this->computer_name = $dataRow['computer_name'];
            $this->clicked = $dataRow['clicked'];
        }        

        // UPDATE
        public function updateCrawledData(){
            $sqlQuery = "UPDATE
                        ". $this->db_table ."
                    SET
                        keyword = :keyword, 
                        GoogleRank = :GoogleRank, 
                        site_clicked = :site_clicked, 
                        created = :created, 
                        computer_name = :computer_name,
                        clicked = :clicked
                    WHERE 
                        id = :id";
        
            $stmt = $this->conn->prepare($sqlQuery);
        
            $this->keyword=htmlspecialchars(strip_tags($this->keyword));
            $this->GoogleRank=htmlspecialchars(strip_tags($this->GoogleRank));
            $this->site_clicked=htmlspecialchars(strip_tags($this->site_clicked));
            $this->created=htmlspecialchars(strip_tags($this->created));
            $this->computer_name=htmlspecialchars(strip_tags($this->computer_name));
            $this->clicked=htmlspecialchars(strip_tags($this->clicked));
            $this->id=htmlspecialchars(strip_tags($this->id));
        
            // bind data
            $stmt->bindParam(":keyword", $this->keyword);
            $stmt->bindParam(":GoogleRank", $this->GoogleRank);
            $stmt->bindParam(":site_clicked", $this->site_clicked);
            $stmt->bindParam(":created", $this->created);
            $stmt->bindParam(":computer_name", $this->computer_name);
            $stmt->bindParam(":clicked", $this->clicked);
            $stmt->bindParam(":id", $this->id);
        
            if($stmt->execute()){
               return true;
            }
            return false;
        }

        // DELETE
        function deleteCrawledData(){
            $sqlQuery = "DELETE FROM " . $this->db_table . " WHERE id = ?";
            $stmt = $this->conn->prepare($sqlQuery);
        
            $this->id=htmlspecialchars(strip_tags($this->id));
        
            $stmt->bindParam(1, $this->id);
        
            if($stmt->execute()){
                return true;
            }
            return false;
        }

    }
?>

