<?php
// Initialize the session
$server_url = "https://iran-gardesh.ir/hermes/dashboard/dashboard.php";
session_start();

// if(isset($_POST['records-limit'])){
//    $_SESSION['records-limit'] = $_POST['records-limit'];
// }

// Check if the user is logged in, if not then redirect him to login page
if(!isset($_SESSION["loggedin"]) || $_SESSION["loggedin"] !== true){
    header("location: login.php");
    exit;
}
?>
<html>
<head>

   <!-- Required meta tags -->
   <meta charset="utf-8">
   <meta name="viewport" content="width=device-width, initial-scale=1">
   <title>Dashboard</title>
   <link rel="stylesheet" type="text/css" href="style.css">
   
   <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css">
   <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
   <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.0/jquery.min.js"></script>
   <script type="text/javascript" src="https://cdn.datatables.net/v/dt/dt-1.11.5/datatables.min.js"></script>
   
   <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/v/dt/dt-1.11.5/datatables.min.css"/>

   <script>
      $(document).ready(function(){
         $("#nav nav-tabs a:last").tab("show"); // show last tab
      });
   </script>
   <style>
      body{ font: 14px sans-serif; }
      .wrapper{ width: 360px; padding: 20px; }
   </style>
</head>
<body>
   <br/>
   <div class="container-sm">
      <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
         <!-- Navbar content -->
         <div class="container-fluid">
               <a class="navbar-brand" href="#"></a>
               <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
               <span class="navbar-toggler-icon"></span>
               </button>
               <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                  <div class="navbar-nav">
                     <a class="nav-link active"  href="dashboard.php">Dashboard</a>
                     <a class="nav-link" aria-current="page" href="check.php">Check PC Avilability</a>
                     <!-- <a class="nav-link" href="#">Pricing</a> -->
                  </div>
                  <div class="navbar-nav ms-auto">
                     <!-- <button class="btn btn-outline-success float-end"  type="button">Main button</button> -->
                     <a href="logout.php" class="btn btn-danger ml-3">Logout</a>
                  </div>
               </div>
         </div>
      </nav>
      <br/><br/>
      <form action="" method="get">
         <div class="form-group">
            <label >Start date:</label>
            <input type="date" id="start" name="startdate"
                  value="<?php if(isset($_GET['startdate'])) echo $_GET['startdate']; else echo date("Y-m-d");?>"
                  min="2021-01-01" max="<?php echo date("Y-m-d");?>">
         </div>
         <br/>
         <div class="form-group">
            <label >End date:&nbsp;</label>
            <input type="date" id="end" name="enddate"
                  value="<?php if(isset($_GET['enddate'])) echo $_GET['enddate']; else echo date("Y-m-d");?>"
                  min="2021-01-01" max="<?php echo date("Y-m-d");?>">
         </div>
         <input type="hidden" name="computername" value="">
         <br/>
         <input type="submit" class="btn btn-primary" value="Submit">
      </form>
      <?php
         if( isset($_GET["startdate"]) and isset($_GET["enddate"]) ) {
            $startDate = $_GET['startdate'];
            $endDate = $_GET["enddate"];
            echo "Start date: ". $startDate. "<br />";
            echo "End date: ". $endDate;

            $query = "select count(*) from";
            include_once '../config/database.php';
            include_once '../class/CrawledData.php';
            $database = new Database();
            $db = $database->getConnection();
            
            $item = new CrawledData($db);
            
            ?>

            <div class="tab">
               <button class="tablinks" onclick="openSection(event, 'ComputerNames')" <?php if( isset($_GET["computername"])){echo "id=\"defaultOpen\"";}?>>Computer Names</button>
               <button class="tablinks" onclick="openSection(event, 'Keywords')" <?php if( isset($_GET["keyword"])){echo "id=\"defaultOpen\"";}?>>Keywords</button>
               <button class="tablinks" onclick="openSection(event, 'Websites')" <?php if( isset($_GET["site"])){echo "id=\"defaultOpen\"";}?>)>Websites</button>
               </div>

               <div id="ComputerNames" class="tabcontent">
                  <p>
                     <div class="mydiv">
                        <?php
                        $stmt_keyword = $item->getComputerName($startDate, $endDate);
                        $itemCount = $stmt_keyword->rowCount();

                        if($itemCount > 0){

                           ?>
                           <table id="computer_name" class="table table-striped ">
                           <thead>
                              <tr>
                                 <th scope="col">#</th>
                                 <th scope="col">computer_name</th>
                                 <th scope="col">Click Count</th>
                              </tr>
                           </thead>

                           <?php                        
                           $counter = 1;
                           while ($row = $stmt_keyword->fetch(PDO::FETCH_ASSOC)){
                              ?>
                              <tr>
                                 <td><?php echo $counter++ ?></td>
                                 <td><?php echo $row['computer_name'] ?></td>
                                 <td><?php echo $row['count'] ?></td>
                              </tr>
                           <?php } ?>
                           </table>
                        <?php } ?>
                     </div>
                  </p>
               </div>

               <div id="Keywords" class="tabcontent">
                  <p>
                     <div class="mydiv">
                        <?php

                        $stmt_keyword = $item->getKeywords($startDate, $endDate);
                        $itemCount = $stmt_keyword->rowCount();

                        if($itemCount > 0){
                           ?>
                           <table id="keywords" class="table table-striped">
                           <thead>
                              <tr>
                                 <th scope="col">#</th>
                                 <th scope="col">keyword</th>
                                 <th scope="col">click_type</th>
                                 <th scope="col">Click Count</th>
                              </tr>
                           </thead>

                           <?php                        
                           // $counter = $paginationStart + 1;
                           $counter = 1;
                           while ($row = $stmt_keyword->fetch(PDO::FETCH_ASSOC)){
                              ?>
                              <tr>
                                 <td><?php echo $counter++ ?></td>
                                 <td><?php echo $row['keyword'] ?></td>
                                 <td><?php echo $row['Clicked'] ?></td>
                                 <td><?php echo $row['count'] ?></td>
                              </tr>
                           <?php } ?>
                           </table>
                        <?php } ?>

                        <!-- if($itemCount > 0){
                           echo "<ol calss=\"list-group list-group-numbered\">\n";
                           
                           while ($row = $stmt_keyword->fetch(PDO::FETCH_ASSOC)){
                              echo "<li class=\"list-group-item d-flex justify-content-between align-items-start\">\n";
                              echo "<div class=\"ms-2 me-auto\">\n";

                              // echo "<div class=\"fw-bold\">Subheading</div>";
                              echo $row['keyword'];
                              echo "</div>";
                              echo "<span class=\"badge bg-primary rounded-pill\">" . $row['count'] . "</span>";
                              echo "</li>";

                           }
                        }
                        ?> -->
                     </div>
                  </p>
               </div>

               <div id="Websites" class="tabcontent">
                  <p>
                     <div class="mydiv">
                     <?php
                     
                     if( isset($_GET["site"]) and $_GET["site"]!="") {
                        $site = $_GET["site"];
                        
                        echo "<a href=\"". $server_url . "?startdate=" . $startDate . "&enddate=" . $endDate . "&site=\"> back </a>";

                        $stmt_site = $item->getKeywordsBySiteAndStartEnd($site, $startDate, $endDate);
                        $itemCount = $stmt_site->rowCount();

                        if($itemCount > 0){
                           ?>
   
                           <table id="site_details" class="table table-striped">
                           <thead>
                              <tr>
                                 <th scope="col">#</th>
                                 <th scope="col">keyword</th>
                                 <th scope="col">site</th>
                                 <th scope="col">Avg googleRank</th>
                                 <th scope="col">Min googleRank</th>
                                 <th scope="col">Max googleRank</th>
                                 <th scope="col">Graph</th>
                              </tr>
                           </thead>

                           <?php                        
                           $counter = 1;
                           while ($row = $stmt_site->fetch(PDO::FETCH_ASSOC)){
                              ?>
                              <tr>
                                 <td><?php echo $counter++ ?></td>
                                 <td><?php echo $row['keyword'] ?></td>
                                 <td><?php echo $row['site_clicked'] ?></td>
                                 <td><?php echo number_format($row['avgrank'],1) ?></td>
                                 <td><?php echo $row['minrank'] ?></td>
                                 <td><?php echo $row['maxrank'] ?></td>
                                 <td><?php echo "<a href=showchart.php?keyword=" . urlencode($row['keyword']) . "&site=" . $row['site_clicked'] . " target='_blank'> Chart90Day </a>"; ?></td>
                              </tr>
                           <?php } ?>
                           </table>
                        <?php } 
                     }
                     else{

                        $stmt_site = $item->getSite_clicked($startDate, $endDate);
                        $itemCount = $stmt_site->rowCount();

                        if($itemCount > 0){
                           ?>
                           <table id="sites" class="table table-striped">
                           <thead>
                              <tr>
                                 <th scope="col">#</th>
                                 <th scope="col">site</th>
                                 <th scope="col">Click Count</th>
                              </tr>
                           </thead>

                           <?php                        
                           $counter = 1;
                           while ($row = $stmt_site->fetch(PDO::FETCH_ASSOC)){
                              ?>
                              <tr>
                                 <td><?php echo $counter++ ?></td>
                                 <td><?php 
                                    $hrefsrc = "dashboard.php?startdate=" . trim($startDate) . "&enddate=" . trim($endDate) . "&site=" . $row['site_clicked'];
                                    echo "<a href=" .$hrefsrc . ">" . $row['site_clicked'] . "</a>"; ?>
                                 </td>
                                 <td><?php echo $row['count'] ?></td>
                              </tr>
                           <?php } ?>
                           </table>
                        <?php } 
                     }
                     ?>
                  </div>
                     
                  </p>
            </div>

            <script>
               function openSection(evt, cityName) {
               var i, tabcontent, tablinks;
               tabcontent = document.getElementsByClassName("tabcontent");
               for (i = 0; i < tabcontent.length; i++) {
                  tabcontent[i].style.display = "none";
               }
               tablinks = document.getElementsByClassName("tablinks");
               for (i = 0; i < tablinks.length; i++) {
                  tablinks[i].className = tablinks[i].className.replace(" active", "");
               }
               document.getElementById(cityName).style.display = "block";
               evt.currentTarget.className += " active";
               }

               // Get the element with id="defaultOpen" and click on it
               document.getElementById("defaultOpen").click();
            </script>

            <br/>
            <br/>
            <br/>
            <br/>
         <?php
         }
      ?>
      
   </div>
</body>  
	   
</html>

<script>
   $(document).ready( function () {
      $('#computer_name').DataTable();
   } );

   $(document).ready( function () {
      $('#keywords').DataTable();
   } );

   $(document).ready( function () {
      $('#sites').DataTable();
   } );

   $(document).ready( function () {
      $('#site_details').DataTable();
   } );
</script>