<?php 

use MVC\Model;

class ModelsSearchs extends Model {

    public function getAllData() {
        return [$this->getAllKeywords(null)];
    }

    public function getKeywordForTodaySearch() {
        $t=date('d-m-Y');
        $dayNum = strtolower(date("d",strtotime($t)));
        $choose = ["min","max"];
        $rand = rand(0,100);
        // echo $choose[$rand]."\n";
        $rand = $rand<60 ? 0 : 1;
        
        switch($choose[$rand]){
            case "min":
                //First check min click keywords(force click)
                $query = "SELECT keywords.id, keyword, site, google_link_count, firstpage_delay FROM keywords INNER JOIN searchofmonth 
                WHERE keywords.status=1 and keywords.id = searchofmonth.keyword_id and dayofmonth = $dayNum and count>0
                ORDER BY RAND() LIMIT 1";
                $data = $this->db->query($query);
                // if(!empty($data->row['id'])){
                if($data->num_rows){
                    $keyword_id = (int)$data->row['id'];
                    $follow_links = $this->getFollowLinks($keyword_id);
                    foreach($follow_links as $key => $value){
                        $data->row["follow_link".$key+1] = $value["link"];
                        $data->row["follow_link_delay".$key+1] = $value["delay"];

                    }
                    $data->row["random_click"]="false";
                    $result = $this->setKeywordSearchCount($keyword_id, $dayNum);
                    return $data->row;
                }
                //If there is not any then check max click keywords(not force click)
                else{
                    $query = "SELECT keywords.id, keyword, site, google_link_count, firstpage_delay FROM keywords INNER JOIN maxsearchofmonth 
                    WHERE keywords.status=1 and keywords.id = maxsearchofmonth.keyword_id and dayofmonth = $dayNum and count>0
                    ORDER BY RAND() LIMIT 1";
                    $data = $this->db->query($query);
                    // if(!empty($data->row['id'])){
                    if($data->num_rows){
                        $keyword_id = (int)$data->row['id'];
                        $follow_links = $this->getFollowLinks($keyword_id);
                        foreach($follow_links as $key => $value){
                            $data->row["follow_link".$key+1] = $value["link"];
                            $data->row["follow_link_delay".$key+1] = $value["delay"];

                        }
                        $data->row["random_click"]="true";
                        $result = $this->setKeywordMaxSearchCount($keyword_id, $dayNum);
                        return $data->row;
                    }
                    //send sleep
                    else{
                        $data = ["sleep"=>"true", "time"=>30];
                        return $data;
                    }
                }
                break;
            case "max":
                //First check max click keywords(not force click)
                $query = "SELECT keywords.id, keyword, site, google_link_count, firstpage_delay FROM keywords INNER JOIN maxsearchofmonth 
                WHERE keywords.status=1 and keywords.id = maxsearchofmonth.keyword_id and dayofmonth = $dayNum and count>0
                ORDER BY RAND() LIMIT 1";
                $data = $this->db->query($query);
                // if(!empty($data->row['id'])){
                if($data->num_rows){
                    $keyword_id = (int)$data->row['id'];
                    $follow_links = $this->getFollowLinks($keyword_id);
                    foreach($follow_links as $key => $value){
                        $data->row["follow_link".$key+1] = $value["link"];
                        $data->row["follow_link_delay".$key+1] = $value["delay"];

                    }
                    $data->row["random_click"]="true";
                    $result = $this->setKeywordMaxSearchCount($keyword_id, $dayNum);
                    return $data->row;
                }
                //If there is not any then check min click keywords(force click)
                else{
                    $query = "SELECT keywords.id, keyword, site, google_link_count, firstpage_delay FROM keywords INNER JOIN searchofmonth 
                    WHERE keywords.status=1 and keywords.id = searchofmonth.keyword_id and dayofmonth = $dayNum and count>0
                    ORDER BY RAND() LIMIT 1";
                    $data = $this->db->query($query);
                    // if(!empty($data->row['id'])){
                    if($data->num_rows){
                        $keyword_id = (int)$data->row['id'];
                        $follow_links = $this->getFollowLinks($keyword_id);
                        foreach($follow_links as $key => $value){
                            $data->row["follow_link".$key+1] = $value["link"];
                            $data->row["follow_link_delay".$key+1] = $value["delay"];

                        }
                        $data->row["random_click"]="false";
                        $result = $this->setKeywordSearchCount($keyword_id, $dayNum);
                        return $data->row;
                    }
                    //send sleep
                    else{
                        $data = ["sleep"=>"true", "time"=>30];
                        return $data;
                    }

                }
                break;
            }
    }

    private function getFollowLinks($keyword_id){
        $query = "SELECT * FROM keywords INNER JOIN followlinks WHERE keywords.id = followlinks.keyword_id and keywords.id=$keyword_id";
        $data = $this->db->query($query);
        $follow_links = array();
        foreach($data->rows as $key => $value){
            $arr = array("link" => $value['follow_link'], "delay" => $value['follow_link_delay']);
            array_push($follow_links, $arr);
        }
        return $follow_links;
    }

    public function getKeywordForSearchByDay($param) {

        $dayNum = "";
        if (isset($param['day']))
            $dayNum = $param['day'];

        $query = "SELECT keywords.id, keywords.keyword, SUM(count) FROM keywords INNER JOIN searchofmonth 
        WHERE keywords.id = searchofmonth.keyword_id and dayofmonth = $dayNum and count>0 GROUP BY searchofmonth.keyword_id
        ORDER BY RAND() LIMIT 1";

        $data = $this->db->query($query);
        if(!empty($data->row['id'])){
            $keyword_id = (int)$data->row['id'];
            $result = $this->setKeywordSearchCount($keyword_id, $dayNum);
        }
        else{
            $query = "SELECT * FROM keywords WHERE remain_after_minsearch>0 ORDER BY RAND() LIMIT 1";
            $data = $this->db->query($query);
            if($data->num_rows){
                $keyword_id = (int)$data->row['id'];
                $this->setRemainKeywordSearchCount($keyword_id);
                echo "remain\n";
                return $data->row['keyword'];
            }
        }

        return $data->row['keyword'];
    }

    public function getKeywordRemainSearchsCount() {

        $query = "SELECT keywords.id, keywords.keyword, SUM(count) as sumcount FROM keywords INNER JOIN searchofmonth 
        WHERE keywords.id = searchofmonth.keyword_id GROUP BY searchofmonth.keyword_id HAVING(sumcount>0)
        ORDER BY RAND()";

        $data = $this->db->query($query);

        return $data->rows;
    }

    public function getAllKeywords($param) {

        // sql statement
        $sql = "SELECT * FROM " . DB_PREFIX . "keywords";

        // exec query
        $query = $this->db->query($sql);

        $data = [];

        // Conclusion
        if ($query->num_rows) {
            foreach($query->rows as $key => $value):
                $data['keywords'][] = [
                        'keyword'    => $value,
                        'searchlist' => $this->getSearchListById($value['id'])
                    ];
            endforeach;
        }

        return $data;
    }
    
    public function getKeywordForGettingGoogleLinkCounts() {
        $t=date('d-m-Y H:i:s');
        $query = "SELECT id, keyword FROM keywords WHERE last_send_for_update IS NULL or last_send_for_update < NOW() - INTERVAL 30 MINUTE ORDER BY last_update LIMIT 1";
        $data = $this->db->query($query);
        if($data->num_rows){
            $keyword_id = (int)$data->row['id'];
            $this->setLastSendForUpdate($keyword_id);
            return $data->row;
        }
        //send sleep
        else{
            $data = ["sleep"=>"true", "time"=>30];
            return $data;
        }
    }

    public function postKeyword($data){
        $count = 0;
        foreach($data as $row){
            print_r($row);
            $keyword = $row["keyword"];
            $site = $row["site"];
            $google_link_count = $row["google_link_count"];
            $firstpage_delay = $row["firstpage_delay"];
            $minsearch = $row['minsearch'];
            $maxsearch = $row['maxsearch'];
            $status = 0;
            $growth_rate = $row['growth_rate'];
            $remain_after_minsearch = $maxsearch - $minsearch;

            $query = "SELECT * FROM " . DB_PREFIX . "keywords WHERE keyword ='$keyword'";
            $data = $this->db->query($query);
            if($data->num_rows){
                $query = "UPDATE " . DB_PREFIX . "keywords SET 
                site='$site',
                google_link_count=$google_link_count,
                firstpage_delay='$firstpage_delay',
                minsearch=$minsearch, 
                maxsearch=$maxsearch, 
                status=$status,
                growth_rate=$growth_rate, 
                remain_after_minsearch = $remain_after_minsearch 
                WHERE keyword='$keyword'";
                $this->db->query($query);
                $follow_links = array();
                if(!empty($row["follow_link1"]))
                    array_push($follow_links, array("link" => $row["follow_link1"], "delay" => $row["follow_link_delay1"]));
                if(!empty($row["follow_link2"]))
                    array_push($follow_links, array("link" => $row["follow_link2"], "delay" => $row["follow_link_delay2"]));

                $this->setFollowLinks($keyword, $follow_links);
                $this->createSearchList($keyword, $minsearch);
                $this->createMaxSearchList($keyword, $remain_after_minsearch);
                //after create or update serach list, status will be 1
                $query = "UPDATE " . DB_PREFIX . "keywords SET status=1 WHERE keyword='$keyword'";
                $this->db->query($query);
            }
            else{
                $query = "INSERT INTO keywords(keyword, site, google_link_count, firstpage_delay, minsearch, maxsearch, status, growth_rate, remain_after_minsearch) 
                          VALUES('$keyword', '$site', $google_link_count, '$firstpage_delay', $minsearch, $maxsearch, $status, $growth_rate, $remain_after_minsearch)";
                $this->db->query($query);
                $follow_links = array();
                if(!empty($row["follow_link1"]))
                    array_push($follow_links, array("link" => $row["follow_link1"], "delay" => $row["follow_link_delay1"]));
                if(!empty($row["follow_link2"]))
                    array_push($follow_links, array("link" => $row["follow_link2"], "delay" => $row["follow_link_delay2"]));
                $this->setFollowLinks($keyword, $follow_links);
                $this->createSearchList($keyword, $minsearch);
                $this->createMaxSearchList($keyword, $remain_after_minsearch);
                //after create or update serach list, status will be 1
                $query = "UPDATE " . DB_PREFIX . "keywords SET status=1 WHERE keyword='$keyword'";
                $this->db->query($query);
                $count++;
            }
        }
        return $count;
    }
    
    public function PutGoogleLinkCounts($data) {

        $id  = -1;
        $count = -1;
        if (isset($data["id"]))
            $id = $data['id'];
        if (isset($data['count']))
            $count = $data['count'];

        if($id!=-1 and $count!=-1){
            $query = "UPDATE keywords SET google_link_count=$count, last_update = NOW() WHERE id=$id";
            $output = $this->db->query($query);
            return $output;
        }
        else{
            return ["error"=>"Unvalid request!"];
        }

    }

    private function createSearchList($keyword, $minsearch){
        $keyword_id = $this->getIdbyKeyword($keyword);
        // Compute day_count_serach for this keyword 
        $searchList= array_fill(1, 31, 0);
        for($i=0; $i<$minsearch; $i++){
            $rand = rand(1,31);
            $searchList[$rand]++;
        }
        for($i=1; $i<=31; $i++){
            $query = "SELECT * FROM " . DB_PREFIX . "searchofmonth WHERE keyword_id=$keyword_id and dayofmonth=$i";
            $data = $this->db->query($query);
            if($data->num_rows){
                $query = "UPDATE " . DB_PREFIX . "searchofmonth SET count=$searchList[$i] WHERE keyword_id=$keyword_id and dayofmonth=$i";
                $this->db->query($query);
            }
            else{
                $query = "INSERT INTO " . DB_PREFIX . "searchofmonth(keyword_id, dayofmonth, count) VALUES($keyword_id, $i, $searchList[$i])";
                $this->db->query($query);
            }
         }
        // return $data->rows;
    }

    private function createMaxSearchList($keyword, $remainsearch){
        $keyword_id = $this->getIdbyKeyword($keyword);
        // Compute day_count_serach for this keyword 
        $searchList= array_fill(1, 31, 0);
        for($i=0; $i<$remainsearch; $i++){
            $rand = rand(1,31);
            $searchList[$rand]++;
        }
        for($i=1; $i<=31; $i++){
            $query = "SELECT * FROM " . DB_PREFIX . "maxsearchofmonth WHERE keyword_id=$keyword_id and dayofmonth=$i";
            $data = $this->db->query($query);
            if($data->num_rows){
                $query = "UPDATE " . DB_PREFIX . "maxsearchofmonth SET count=$searchList[$i] WHERE keyword_id=$keyword_id and dayofmonth=$i";
                $this->db->query($query);
            }
            else{
                $query = "INSERT INTO " . DB_PREFIX . "maxsearchofmonth(keyword_id, dayofmonth, count) VALUES($keyword_id, $i, $searchList[$i])";
                $this->db->query($query);
            }
         }
        // return $data->rows;

    }

    private function getIdbyKeyword($keyword){
        $query = "SELECT * FROM " . DB_PREFIX . "keywords WHERE keyword ='$keyword'";
        $data = $this->db->query($query);
        if($data->num_rows)
            return (int)$data->row['id'];
        return -1;
    }

    private function getSearchListById($keyword_id) {
        $query = $this->db->query("SELECT * FROM " . DB_PREFIX . "searchofmonth WHERE keyword_id = " . (int) $keyword_id . "");
        $data = [];
        if ($query->num_rows) {
            $list = $query->rows;
            array_push($data, $list);
            $query->row;
        }

        return $data;
    }

    private function setKeywordSearchCount($keyword_id, $dayofmonth){
        $query = "UPDATE searchofmonth SET count= count-1 WHERE keyword_id=$keyword_id and dayofmonth=$dayofmonth";
        $output = $this->db->query($query);
        return $output;
    }

    private function setKeywordMaxSearchCount($keyword_id, $dayofmonth){
        $query = "UPDATE maxsearchofmonth SET count= count-1 WHERE keyword_id=$keyword_id and dayofmonth=$dayofmonth";
        $output = $this->db->query($query);
        return $output;
    }

    private function setFollowLinks($keyword, $follow_links){
        $count = 0;
        $keyword_id = $this->getIdbyKeyword($keyword);
        //delete all past follow links
        $query = "DELETE from followlinks where keyword_id=$keyword_id";
        $this->db->query($query);


        foreach($follow_links as $follow_link){
            $link = $follow_link["link"];
            $delay = $follow_link["delay"];
            $query = "INSERT INTO followlinks(keyword_id, follow_link, follow_link_delay) VALUES($keyword_id, '$link', '$delay')";
            $data = $this->db->query($query);
            $count++;
        }
        return $count;
    }

    private function setRemainKeywordSearchCount($keyword_id){
        $query = "UPDATE keywords SET remain_after_minsearch= remain_after_minsearch-1 WHERE id=$keyword_id";
        $output = $this->db->query($query);
        return $output;
    }
    
    private function setLastSendForUpdate($keyword_id){
        $query = "UPDATE keywords SET last_send_for_update= NOW() WHERE id=$keyword_id";
        $output = $this->db->query($query);
        return $output;
    }

}
